Форум русскоязычного сообщества Ubuntu


Увидели сообщение с непонятной ссылкой, спам, непристойность или оскорбление?
Воспользуйтесь ссылкой «Сообщить модератору» рядом с сообщением!

Автор Тема: Непонятная мне ошибка компиляции  (Прочитано 512 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн sania77

  • Автор темы
  • Новичок
  • *
  • Сообщений: 18
  • Ubuntu 11.10>Debian7>Mint18.1
    • Просмотр профиля
    • Блоги
Непонятная мне ошибка компиляции
« : 05 Январь 2020, 21:13:54 »
Здра. Компилю файловый менеджер с Элементари, в процессе конфигурации ругается, я так понял, на пути. Я, в общем не пойму смысла ошибки. Ubuntu 18.04

sudo cmake .. -DCMAKE_INSTALL_PREFIX=/usr
-- The C compiler identification is GNU 7.4.0
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
CMake Error at /usr/share/cmake-3.10/Modules/FindPackageHandleStandardArgs.cmake:137 (message):
  Could NOT find Vala (missing: VALA_EXECUTABLE)
Call Stack (most recent call first):
  /usr/share/cmake-3.10/Modules/FindPackageHandleStandardArgs.cmake:378 (_FPHSA_FAILURE_MESSAGE)
  cmake/FindVala.cmake:55 (find_package_handle_standard_args)
  CMakeLists.txt:25 (find_package)


-- Configuring incomplete, errors occurred!
See also "/tmp/pantheon-files-0.3.5/CMakeFiles/CMakeOutput.log".
root@lenovo:/tmp/pantheon-files-0.3.5# sudo cmake .. -DCMAKE_INSTALL_PREFIX=/usr-- Found Vala: /usr/bin/valac 
-- checking for a minimum Vala version of 0.34.0
--   found Vala, version 0.40.8
-- Found PkgConfig: /usr/bin/pkg-config (found version "0.29.1")
-- Checking for module 'unity>=4.0.0'
--   No package 'unity' found
-- Checking for modules 'granite>=0.3.0;glib-2.0>=2.29.0;gthread-2.0;gio-2.0;gio-unix-2.0;pango>=1.1.2;gtk+-3.0>=3.14;gmodule-2.0;gail-3.0;gee-0.8;sqlite3;dbus-glib-1;libcanberra>=0.30;zeitgeist-2.0'
--   No package 'granite' found
--   No package 'pango' found
--   No package 'gtk+-3.0' found
--   No package 'gail-3.0' found
--   No package 'gee-0.8' found
--   No package 'sqlite3' found
--   No package 'dbus-glib-1' found
--   No package 'libcanberra' found
--   No package 'zeitgeist-2.0' found
CMake Error at /usr/share/cmake-3.10/Modules/FindPkgConfig.cmake:415 (message):
  A required package was not found
Call Stack (most recent call first):
  /usr/share/cmake-3.10/Modules/FindPkgConfig.cmake:593 (_pkg_check_modules_internal)
  src/CMakeLists.txt:37 (pkg_check_modules)


-- Configuring incomplete, errors occurred!
See also "/tmp/pantheon-files-0.3.5/CMakeFiles/CMakeOutput.log".

Удалил Вашу портянку. Если желаете, повторите, оформив в соответствии с правилами форума
С уважением, Morisson



Пользователь добавил сообщение 05 Январь 2020, 21:22:11:
И с недостающими пакетами. Вот например pango. Как понять, какой из них?   https://packages.ubuntu.com/search?keywords=pango
« Последнее редактирование: 05 Январь 2020, 23:06:46 от Morisson »

Оффлайн aSmile

  • Активист
  • *
  • Сообщений: 745
    • Просмотр профиля
Re: Непонятная мне ошибка компиляции
« Ответ #1 : 10 Январь 2020, 18:38:00 »
И с недостающими пакетами. Вот например pango. Как понять, какой из них?   https://packages.ubuntu.com/search?keywords=pango
Обычно что-то типа libpango-dev (там могут быть цифры с версией)

Оффлайн Vadoc

  • Новичок
  • *
  • Сообщений: 2
    • Просмотр профиля
Re: Непонятная мне ошибка компиляции
« Ответ #2 : 25 Февраль 2020, 19:35:56 »
Разве, это возможно!
(Нажмите, чтобы показать/скрыть)
Отправлено уведомление в ЛС о допущенном нарушении. +5%, поскольку нарушение в данный момент времени прогрессирует (уже как минимум 2 сообщения в разных темах и все по одному смысловому шаблону).
 --zg_nico

« Последнее редактирование: 25 Февраль 2020, 19:50:05 от zg_nico »

 

Страница сгенерирована за 0.112 секунд. Запросов: 24.